LO10K1(1)

NAME
lo10k1 - emu10k1(emu10k2) patch loader client

SYNOPSIS

lo10k1 [option...]

DESCRIPTION

This manual page documents briefly the lo10k1

This manual page was written for the Debian distribution because the original program does not have a manual page.

lo10k1 is a program that...

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h | --help
    Prints a short help message

-l patch_name | --list patch_name
    List some useful information about patch in file patch_name. lo10k1 uses patch produced by as10k1 from the alsa-tools package.

-p name | --pipe_name name
    lo10k1 will use a local named pipe named name to communicate with the linker. Default is /tmp/.ld10k1_port

-i --info
    Prints some info about card - not very useful.

-s --setup
    Clear DSP.

-a patch_name | --add patch_name
    Loads patch from file patch_name to DSP.

-d number | --del number
    Unloads patch number from DSP. Use option --debug 4 to obtain patch numbers.

-q conn_string | --conadd conn_string
    Connect patches with each other, to inputs or outputs.

-w --condel
    Delete connection.

--debug number
    Print debug information

    1   register information

    2   List constants

    3   List DSP instructions

    4   Print TRAM information

    5   List loaded patches

    6   List patch order

    7   List FXs

    8   List inputs

    9   List outputs

    100 + number
        Print information about patch number

-n --defionames
    define default in/out names for loaded patch

--ctrl
    modify control parameters for loaded patch

--patch_name
    load patch with this name

--where number
    insert patch before

--renam
    rename patch, input, output, fx, patch input, patch output

--dump
    dump DSP setup to file, can by loaded by dl10k1

--host
    lo10k1 uses network socket instead of named socked (host,port)

-P path --path path
    Set include path

--store file
    Store DSP config to native ld10k1 file.

--restore
    Restore DSP config from native ld10k1 file.

--save_patch
    Save patch specified with --where to file.

--load_patch
    Load patch from file to position specified with --where.

--wait msec
    Wait for ld10k1 for msec.

SEE ALSO

ld10k1(8), dl10k1(8), as10k1(1).

AUTHOR

This manual page was written by Mikael Magnusson <mikma@users.sourceforge.net> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR
Mikael Magnusson.

      <mikma@users.sourceforge.net>